Page MenuHomePhabricator

Add wfIsBadImage() status to prop=imageinfo API
Closed, ResolvedPublic

Description

We should add a iiprop=badimage option to prop=imageinfo to indicate whether an image is a "bad" one (wfIsBadImage()) or not.

Mostly this is needed for Parsoid, but also should be generally useful IMO.

Event Timeline

Legoktm created this task.Oct 16 2016, 7:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2016, 7:23 PM

Change 316249 had a related patch set uploaded (by Legoktm):
API: Expose wfIsBadImage() in prop=imageinfo

https://gerrit.wikimedia.org/r/316249

Legoktm claimed this task.Oct 16 2016, 8:20 PM
Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Oct 17 2016, 1:36 PM

Change 316249 merged by jenkins-bot:
API: Expose wfIsBadImage() in prop=imageinfo

https://gerrit.wikimedia.org/r/316249

Legoktm closed this task as Resolved.Dec 14 2016, 7:27 PM